# swoole_event_defer

在下一个事件循环开始时执行函数。
```php
swoole_event_defer(mixed $callback_function);
```
`swoole_event_defer`的回调函数会在当前`EventLoop`的事件循环结束、下一次事件循环开始前执行。

* `$callback_function` 时间到期后所执行的函数，必须是可以调用的。回调函数不接受任何参数
* 可以使用匿名函数的`use`语法传递参数到回调函数中
* 在`$callback_function`函数执行过程中添加新的`defer`任务，仍然会在本轮事件循环内执行完成

使用示例
----
```php
swoole_event_defer(function(){
    echo "After EventLoop\n";
});
```